<?php
/**
 * Top Bar setting for Customizer
 *
 * @package conceptseven
 * @version 3.6.8
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Top Bar 1 General
$this->sections['conceptseven_topbar_general_one'] = array(
	'title' => esc_html__( 'General', 'conceptseven' ),
	'panel' => 'conceptseven_topbar',
	'settings' => array(
		array(
			'id' => 'top_bar_one_background',
			'transport' => 'postMessage',
			'control' => array(
				'type' => 'color',
				'label' => esc_html__( 'Background', 'conceptseven' ),
				'active_callback' => 'conceptseven_cac_has_topbar_one',
			),
			'inline_css' => array(
				'target' => '.top-bar-style-1 #top-bar:after',
				'alter' => 'background-color',
			),
		),
		array(
			'id' => 'top_bar_one_background_opacity',
			'transport' => 'postMessage',
			'default' => '1',
			'control' => array(
				'label'  => esc_html__( 'Background Opacity', 'conceptseven' ),
				'active_callback' => 'conceptseven_cac_has_topbar_one',
				'type' => 'select',
				'choices' => array(
					'1' => esc_html__( '1', 'conceptseven' ),
					'0.9' => esc_html__( '0.9', 'conceptseven' ),
					'0.8' => esc_html__( '0.8', 'conceptseven' ),
					'0.7' => esc_html__( '0.7', 'conceptseven' ),
					'0.6' => esc_html__( '0.6', 'conceptseven' ),
					'0.5' => esc_html__( '0.5', 'conceptseven' ),
					'0.4' => esc_html__( '0.4', 'conceptseven' ),
					'0.3' => esc_html__( '0.3', 'conceptseven' ),
					'0.2' => esc_html__( '0.2', 'conceptseven' ),
					'0.1' => esc_html__( '0.1', 'conceptseven' ),
					'0.0001' => esc_html__( '0', 'conceptseven' ),
				),
			),
			'inline_css' => array(
				'target' => '.top-bar-style-1 #top-bar:after',
				'alter' => 'opacity',
			),
		),
		array(
			'id' => 'top_bar_one_text',
			'transport' => 'postMessage',
			'control' => array(
				'type' => 'color',
				'label' => esc_html__( 'Text Color', 'conceptseven' ),
				'active_callback' => 'conceptseven_cac_has_topbar_one',
			),
			'inline_css' => array(
				'target' => '.top-bar-style-1 #top-bar',
				'alter' => 'color',
			),
		),
		array(
			'id' => 'top_bar_one_link_color',
			'transport' => 'postMessage',
			'control' => array(
				'type' => 'color',
				'label' => esc_html__( 'Link Color', 'conceptseven' ),
				'active_callback' => 'conceptseven_cac_has_topbar_one',
			),
			'inline_css' => array(
				'target' => '.top-bar-style-1 #top-bar a',
				'alter' => 'color',
			),
		),
		array(
			'id' => 'top_bar_one_social_color',
			'transport' => 'postMessage',
			'control' => array(
				'type' => 'color',
				'label' => esc_html__( 'Socials: Color', 'conceptseven' ),
				'active_callback' => 'conceptseven_cac_has_topbar_one',
			),
			'inline_css' => array(
				'target' => '.top-bar-style-1 #top-bar .top-bar-socials .icons a',
				'alter' => 'color',
			),
		),
		array(
			'id' => 'top_bar_one_border_width',
			'control' => array(
				'type' => 'text',
				'label' => esc_html__( 'Border Width', 'conceptseven' ),
				'active_callback' => 'conceptseven_cac_has_topbar_one',
			),
			'inline_css' => array(
				'target' => '.top-bar-style-1 #top-bar',
				'alter' => 'border-width',
			),
		),
		array(
			'id' => 'top_bar_one_border_color',
			'control' => array(
				'type' => 'color',
				'label' => esc_html__( 'Border Color', 'conceptseven' ),
				'active_callback' => 'conceptseven_cac_has_topbar_one',
			),
			'inline_css' => array(
				'target' => '.top-bar-style-1 #top-bar',
				'alter' => 'border-color',
			),
		),
	),
);

// Top Bar 2 General
$this->sections['conceptseven_topbar_general_two'] = array(
	'title' => esc_html__( 'General', 'conceptseven' ),
	'panel' => 'conceptseven_topbar',
	'settings' => array(
		array(
			'id' => 'top_bar_two_background',
			'transport' => 'postMessage',
			'control' => array(
				'type' => 'color',
				'label' => esc_html__( 'Background', 'conceptseven' ),
				'active_callback' => 'conceptseven_cac_has_topbar_two',
			),
			'inline_css' => array(
				'target' => '.top-bar-style-2 #top-bar:after',
				'alter' => 'background-color',
			),
		),
		array(
			'id' => 'top_bar_two_background_opacity',
			'transport' => 'postMessage',
			'default' => '1',
			'control' => array(
				'label'  => esc_html__( 'Background Opacity', 'conceptseven' ),
				'active_callback' => 'conceptseven_cac_has_topbar_two',
				'type' => 'select',
				'choices' => array(
					'1' => esc_html__( '1', 'conceptseven' ),
					'0.9' => esc_html__( '0.9', 'conceptseven' ),
					'0.8' => esc_html__( '0.8', 'conceptseven' ),
					'0.7' => esc_html__( '0.7', 'conceptseven' ),
					'0.6' => esc_html__( '0.6', 'conceptseven' ),
					'0.5' => esc_html__( '0.5', 'conceptseven' ),
					'0.4' => esc_html__( '0.4', 'conceptseven' ),
					'0.3' => esc_html__( '0.3', 'conceptseven' ),
					'0.2' => esc_html__( '0.2', 'conceptseven' ),
					'0.1' => esc_html__( '0.1', 'conceptseven' ),
					'0.0001' => esc_html__( '0', 'conceptseven' ),
				),
			),
			'inline_css' => array(
				'target' => '.top-bar-style-2 #top-bar:after',
				'alter' => 'opacity',
			),
		),
		array(
			'id' => 'top_bar_two_text',
			'transport' => 'postMessage',
			'control' => array(
				'type' => 'color',
				'label' => esc_html__( 'Text Color', 'conceptseven' ),
				'active_callback' => 'conceptseven_cac_has_topbar_two',
			),
			'inline_css' => array(
				'target' => '.top-bar-style-2 #top-bar',
				'alter' => 'color',
			),
		),
		array(
			'id' => 'top_bar_two_link_color',
			'transport' => 'postMessage',
			'control' => array(
				'type' => 'color',
				'label' => esc_html__( 'Link Color', 'conceptseven' ),
				'active_callback' => 'conceptseven_cac_has_topbar_two',
			),
			'inline_css' => array(
				'target' => '.top-bar-style-2 #top-bar a',
				'alter' => 'color',
			),
		),
		array(
			'id' => 'top_bar_two_social_color',
			'transport' => 'postMessage',
			'control' => array(
				'type' => 'color',
				'label' => esc_html__( 'Socials: Color', 'conceptseven' ),
				'active_callback' => 'conceptseven_cac_has_topbar_two',
			),
			'inline_css' => array(
				'target' => '.top-bar-style-2 #top-bar .top-bar-socials .icons a',
				'alter' => 'color',
			),
		),
		array(
			'id' => 'top_bar_two_border_width',
			'control' => array(
				'type' => 'text',
				'label' => esc_html__( 'Border Width', 'conceptseven' ),
				'active_callback' => 'conceptseven_cac_has_topbar_two',
			),
			'inline_css' => array(
				'target' => '.top-bar-style-2 #top-bar',
				'alter' => 'border-width',
			),
		),
		array(
			'id' => 'top_bar_two_border_color',
			'control' => array(
				'type' => 'color',
				'label' => esc_html__( 'Border Color', 'conceptseven' ),
				'active_callback' => 'conceptseven_cac_has_topbar_two',
			),
			'inline_css' => array(
				'target' => '.top-bar-style-2 #top-bar',
				'alter' => 'border-color',
			),
		),
	),
);

// Top Bar Content
$this->sections['conceptseven_topbar_content'] = array(
	'title' => esc_html__( 'Content', 'conceptseven' ),
	'panel' => 'conceptseven_topbar',
	'settings' => array(
		array(
			'id' => 'top_bar_content_custom',
			'default' => '',
			'control' => array(
				'label' => esc_html__( 'Custom Text', 'conceptseven' ),
				'type' => 'conceptseven_textarea',
				'rows' => 3,
				'active_callback' => 'conceptseven_cac_has_topbar',
			),
		),
		array(
			'id' => 'top_bar_content_phone',
			'default' => 'Call: (+1) 212-946-2707',
			'control' => array(
				'label' => esc_html__( 'Phone', 'conceptseven' ),
				'type' => 'conceptseven_textarea',
				'rows' => 3,
				'active_callback' => 'conceptseven_cac_has_topbar',
			),
		),
		array(
			'id' => 'top_bar_content_email',
			'default' => '',
			'control' => array(
				'label' => esc_html__( 'Email', 'conceptseven' ),
				'type' => 'conceptseven_textarea',
				'rows' => 3,
				'active_callback' => 'conceptseven_cac_has_topbar',
			),
		),
		array(
			'id' => 'top_bar_content_address',
			'default' => '',
			'control' => array(
				'label' => esc_html__( 'Address', 'conceptseven' ),
				'type' => 'conceptseven_textarea',
				'rows' => 3,
				'active_callback' => 'conceptseven_cac_has_topbar',
			),
		),
	),
);

// Top Bar Socials
$this->sections['conceptseven_topbar_social'] = array(
	'title' => esc_html__( 'Social', 'conceptseven' ),
	'panel' => 'conceptseven_topbar',
	'settings' => array(
		array(
			'id' => 'top_bar_social_text',
			'default' => '',
			'control' => array(
				'label' => esc_html__( 'Text', 'conceptseven' ),
				'type' => 'conceptseven_textarea',
				'rows' => 3,
				'active_callback' => 'conceptseven_cac_has_topbar',
			),
		),
		array(
			'id' => 'top_bar_social_space_between',
			'transport' => 'postMessage',
			'control' => array(
				'type' => 'text',
				'label' => esc_html__( 'Space Between Items', 'conceptseven' ),
				'description' => esc_html__( 'Example: 10px.', 'conceptseven' ),
				'active_callback' => 'conceptseven_cac_has_topbar',
			),
			'inline_css' => array(
				'target' => '#top-bar .top-bar-socials .icons a',
				'alter' => 'margin-left',
			),
		),
		array(
			'id' => 'top_bar_social_font_size',
			'transport' => 'postMessage',
			'control' => array(
				'type' => 'text',
				'label' => esc_html__( 'Icon Size', 'conceptseven' ),
				'description' => esc_html__( 'Example: 20px.', 'conceptseven' ),
				'active_callback' => 'conceptseven_cac_has_topbar',
			),
			'inline_css' => array(
				'target' => '#top-bar .top-bar-socials .icons a',
				'alter' => 'font-size',
			),
		),
	),
);

// Social settings
$social_options = conceptseven_topbar_social_options();
foreach ( $social_options as $key => $val ) {
	$this->sections['conceptseven_topbar_social']['settings'][] = array(
		'id' => 'top_bar_social_profiles[' . $key .']',
		'control' => array(
			'label' => $val['label'],
			'type' => 'text',
			'active_callback' => 'conceptseven_cac_has_topbar',
		),
	);
}

// Remove var from memory
unset( $social_options );